Skip to main content
PATCH
Update a data point type

Authorizations

Authorization
string
header
required

Path Parameters

project_id
string
required

The project's friendly ID (e.g. prj_aBcD1234eFgH5678).

data_point_type_id
string
required

The data point type's friendly ID (e.g. dpt_aBcD1234eFgH5678).

Body

application/json
data_point_type
object
required

Response

The updated data point type.

id
string

The data point type's friendly ID (e.g. dpt_aBcD1234eFgH5678).

Example:

"dpt_aBcD1234eFgH5678"

slug
string | null
name
string | null
description
string | null
value_type
enum<string>
Available options:
number,
string,
boolean,
enumeration
unit
string | null
is_static
boolean
nexus_event_type_id
string | null

The friendly ID of the event type this data point type belongs to.

Example:

"et_aBcD1234eFgH5678"

is_required
boolean | null

Null for a data point type with no event type.

evidence_check_enabled
boolean
reusable_in_batches
boolean
enumeration_options
string[] | null
rules
object[]

Rules whose active version references this data point type's slug, ordered by name.

created_at
string<date-time>
updated_at
string<date-time>